2025-07-11

# About me

![Samuel Headshot Casual](../non_text_non_video/self_solo_pics/samuel_photo_headshot_casual.png "Samuel Headshot Casual")

History
 - CV: DOB 2001-01-03, Male. Completed schooling in Delhi 2018, Graduated IIT Delhi biochem engg BTech+MTech 2023. Managed risk for $1B AUM at cryptocurrency startup Rari Capital. Completed ML Safety Scholars under Dan Hendrycks, UC Berkeley. Have intermediate-level skills in software, finance, biotech and probably some other topics too.
 - Notable influences: cypherpunks mailing list and its successors such as Tor/Signal/blockchain, extropians mailing list and its successors such as EA/lesswrong.

Immediate goal
 - Enable whistleblowers of companies building superintelligent AI to leak information to the general public.
   - What?
     - I am working on a guide for whistleblowers.
     - I can provide high-quality technical education for journalists or youtubers on a) how to safely accept and handle leaked documents b) AI risk as a political cause
   - Work done so far
     - [Whistleblower Database](./my_research/us_govt_whistleblower_database.md), [Whistleblower Guide](./my_research/us_govt_whistleblower_guide.md)
   - Similar projects by others
     - Similar projects supporting whistleblowers: [Wikileaks](https://wikileaks.org), [SecureDrop](https://securedrop.org)
     - Some popular people's views on AI risk: [Geoffrey Hinton's views](https://www.youtube.com/watch?v=66WiF8fXL0k), [Yoshua Bengio's views](https://yoshuabengio.org/2023/05/22/how-rogue-ais-may-arise/), [Dan Hendrycks' letter](https://safe.ai/work/statement-on-ai-risk), [Eliezer Yudkowsky's views](https://time.com/6266923/ai-eliezer-yudkowsky-open-letter-not-enough/)
   - Support me
     - Fund me: [Request for $20,000 to support AI whistleblowers](./connect_with_me/donate_to_me_ai_whistleblowers.md)
     - Work with me: Provide me feedback or do fact-checking for me. Especially interested in people with legal expertise in US or international law. Part-time or full-time possible.
   - Long-term plan
     - I support a complete ban on building superintelligent AI. I think humanity might go extinct by 2030 if not for a ban. Leaked information could help with coordinating a ban.
     - I can accelerate towards a world with fewer secrets. Resulting world may be radically different than ours. I think individual freedom can be protected despite lack of privacy, if everyone trying to suppress your freedom also lacks privacy when taking such actions.
   - Previous work
     - Research: [SecureDrop review](./my_research/securedrop_review.md), [Open source weaponry](./my_research/open_source_weaponry.md), [Long-term view on information, tech and society](./my_research/longterm_view_on_info_tech_society.md), [Intelligence explosion](./my_research/ai_forecasts/intelligence_explosion.md), [AI forecasts](./my_research/ai_forecasts/)
     - Software: [Books Search for Researchers](./my_projects/my_projects.md), [Open source search](./my_research/open_source_search_summary.md)

[Contact me](./connect_with_me/contact_me.md)

Current location: Bangalore, India. Willing to shift if funded.
