2024-02-20

# Advice (Disclaimer)

I am quite confused which audience I should tailor this advice page and generally my entire internet presence to. I'm currently experimenting with trying to tailor to everyone simultaneously. I think maintaining multiple separate identities on the internet does not work well over long time horizon. I probably won't update these pages regularly, as giving advice is not my primary life goal.

I generally hesitate on giving advice. There is a lot of advice on the internet and a lot of it is noise to me. 

#### 1. Evidence behind the advice

Assuming I was the recipient of advice, here's the hierarchy of how seriously I'd take that advice:
 - advice empirically proven to work
   - the more meaningfully distinct circumstances it has worked in, the better
   - a theoretical model for why the advice works is a bonus, but sufficient empirical evidence always trumps theory
   - IMO there are entire fields where the replication crisis can be solved by making larger sample sizes the norm and small sample sizes as abnormal (by getting the funding, culture etc so this is possible)
 - theoretical model of why some advice would work 
   - the more distinct types of people are confident in the model, the better
   - empirical evidence about similar-but-not-same situations is a bonus

Whenever you are taking advice from me, try to figure out where exactly on the hierarchy the advice sits. Even if something worked for me, please remember I am just one person. And if I don't have personal experience with it, please remember this is just one person's guess with no empirical evidence.

#### 2. Context-dependence of advice

I rarely ever tell people that they "must" or "should" do xyz. If I make this mistake please correct me.

You have information about:
 - how your brain works - your likes, dislikes, what motivates you, etc. Conveying information about your feelings to me is difficult, even if you genuinely want to convey it. So I assume I lack this information about you. In particular there is an is-ought distinction where transmitting information is easy ("if you do X, Y will probably happen") and transmitting values is hard ("you should want Y to happen"). So I mostly talk about the former.
 - your context, your unique life circumstances. Conveying this information to me is possible but takes a lot of time. So I may also be lacking this information about you.

This doc is full of me saying "consider" doing xyz. If I use the word "consider", that means there may exist exceptions to the advice. Sometimes I may be aware of the exceptions but I'm not listing them out, and sometime I may not be aware of the exceptions. The point is to use your own judgement. You are the master of your own life and I'm not interested in being your guru.
