2025-05-20

To do for myself:
 - Not a priority for me right now
 - Rewrite page so it's simpler and more people can understand
 - Make it easier to directly navigate to relevant section. This page is currently too long.

# Advice for you (Knowledge class)

If you don't understand anything on this page, please ask me about it.

Please read [Advice Disclaimer](./advice_disclaimer.md) first.

#### Summary

 - If you want an amazing life and not a mediocre one, one of the biggest mistakes you can make is blindly copy-pasting values and beliefs of your family and friends, because you want their approval. If you want an amazing life, be more deliberate who you are learning from, whose decisions you are copying and why you are doing this.
 - A fast way to learn anything is to immerse yourself in an environment with other people who know how to do the thing.
   - This is also possible online if you can't meet people in person. I generally recommend spending a lot of time online.
   - Internet-sellable skills like writing, podcasting, game dev, software, etc. make more money than other skills.
 - My (weak) guess is that meaningful work and meaningful relationships will probably be biggest determinants of your life satisfaction. Figure out for yourself for makes your life worthwhile, don't blindly trust my guesses.
 - Don't blindly assume that money can help you, don't blindly assume it can't help you, it is better to think about the specific problems you are facing.
   - If you have < 50k INR, more money may fix some of your life problems.
   - If you have > 10 lakh INR, more money may or may not fix some of your life problems. 
   - If you have > 10 Cr INR you can live in any country and any culture. Culture influences many things about who you are.
 - Make lots of notes. Publish information about yourself online.
 - If you have savings you plan to not touch for many years, invest them in S&P500 not in real estate (exceptions exist).


# Career advice

### If you have atleast 6 months worth of savings - career advice

Proof: I don't have personal experience with this.

In India, 6 months worth of savings is around 50,000 INR. My advice is slightly (but hopefully not very) biased towards Indian context because a lot of people I encounter are from here. It's possible there are unique challenges faced by people of your country that I'm unaware of.

Consider finding a job that provides you with a lot more savings. Making more money may reduce your anxiety of the future. Making more money may allow to make less compromises on your moral values. Also you might get more free time to devote to something or someone you care about.

I understand you might be happy not trying to increase your income, and that is also fine. Don't let me ruin your happiness. Depending on how much free time your job gives you, you may also choose to start a side project or hobby around things you care about. This is great, although I would usually recommend starting it part-time and not quitting your job.

(If you are very ambitious, you can also read the section after this section.)

How?
 - Independent decision-making
   - The more ambitious you are, the more you have to take your own career decisions instead of blindly copying what your friends and family are asking you to do. The decisions required to climb one step in society's status heirarchies may look smart to them and the decisions required to climb five steps may look stupid to them, if none of them have climbed five steps or seen anyone else who has done it. For example if you're a shopkeeper it's easier to propose to your family that you'll buy a second shop, than to propose that you will campaign for your town's MLA seat. How ambitious you are is a personal choice. I am not telling you how ambitious you should or should not be.
   - If they dislike your choices, sometimes you can simply explain to them why you think your decisions are better than the decisions they are proposing. If that fails, there are non-violent ways to resist other people trying to influence your career in a negative way. Whether you choose to use such methods is a personal decision and depends on the exact details of your situation. See my [Controversial ideas page](../my_ideas/controversial.md) for more.
 - Work ethic
   - I should maybe start by repeating all the advice that should already be obvious to you. If you want to work hard in order to increase your income: don't be addicted to substances, get good diet, sleep and exercise, don't gamble your money, etc. (If you don't want to work hard or make money, that is a different matter.)
 - Degree and credentials
   - If you can get a bank loan to pay for your college, you should probably take it. If someone is willing to loan you money for the same, maybe you should accept. But there are more details here which I can't explain in short. (This advice is India-specific. Cost-benefit analysis of acquiring college education depends on which country you are in.)
   - A lot of the really good jobs do not require a degree but require skills. However entry-level and easier jobs have a lot of competition hence employers use the degree as a filtering criteria. It is easier to climb up if you have a degree, but don't let lack of degree discourage you, your chance of success is still high if you work hard and smart.
   - If you already have some skills but lack credentials, upload short videos on youtube showcasing your skills. Good candidate includes competent and aligned. Youtube videos can quickly showcase that you are trustworthy, that you can function in a professional context, and that you are competent. Basically, you want to reduce the number of hours the employer or human resources (HR) department has to invest to find out if you are a good candidate. Every hour of additional work for HR is a cost, and credential-based filters (like degrees) are a way for HR to reduce that cost. If you lack credentials, you have to find other ways to quickly get their attention.
 - How to actually study
   - If I have to summarise this entire section in one word, that word is "exposure". Expose yourself to people doing the thing you want to learn to do.
   - Getting access to a laptop is extremely important if you want to acquire new skills, as most useful skills require atleast some amount of self-studying, which is difficult to do on a phone or using books. If you can't buy a laptop or borrow it from a friend or family member, consider going to an internet cafe.
   - Try to find videos of people's day-to-day life doing the job you wish to acquire. There is a lot of "tacit knowledge" you will quickly pick up from such videos, which you won't get from textbooks.
     - For example if you want to be an architect, see a video of an architect while they're working. You'll get to know which features of their CAD software they actually use versus ignore, which parts of their work are original versus googled, and so on. A textbook that teaches you how to use the same CAD software won't teach you this.
   - A lot of the actual learning you can obtain by self-studying on your computer. However, making friends who know that skill is useful. Some ways they may help: they will be able to tell you which resources are useful and which ones are not useful. If you go on the wrong track, they'll be able to correct you. They may also motivate you and support you emotionally.
   - Making friends will also tell you about the job besides knowledge itself. For example how much it pays, which companies and cities/countries have good opportunities, what is valued within the field, what people pay attention to and ignore in general, the social structure inside the job etc.
   - You can also consider just observing them while they do their work. There is a lot of tacit knowledge that can be acquired this way.
 - Selecting a job to study for
   - This process is likely going to take some hit and trial. It'll depend a bit on your interests, on your current educational background (what you actually know, not what degree you have), and on who you know and what skills they can help you learn. The first skill you try to learn isn't necessarily the skill you will finally end up making money from.
   - Figure out how much time you are willing to invest. Learning a skill like software or finance will pay more, but will require atleast 1-2 years of full-time hard work. (If you're only studying part-time it'll take a lot more time.) Learning a skill like digital marketing or copywriting (well enough to get a job) may be doable in 6 months of full-time hard work, with the right guidance.
   - In general acquiring a skill that allows you to sell something over the internet is a good idea. For example: software, writing, marketing, research, podcasting, consulting, coaching, graphic design, composing music, game development, etc. An internet business can get 1000 or 1000000 times the paying customers without putting in 1000 or 1000000 times the work.
   - If you are joining an internet business like the options listed above, it is common to see the following:
     - Earnings if successful: Founder > Employee at small company > Employee at big company
     - Time required to be successful: Founder > Employee at small company = Employee at big company
     - For a lot of people, your best option for a first job is an early employee at a small company that sells services online. Expect to put atleast 3 months searching for such a job, after you have requisite skills.
     - You can also found your own company. Expect to wait atleast 5 years before you make any money. This is unless you have some special insight why you'll do it faster than that.
   - In general I recommend picking a skill or job you have atleast a little bit of genuine interest in. If you hate it, you might lose motivation to study for it and give up. It does not have to be your number one passion, but you should not hate it. You may have to self-study for multiple years till you get a job, so you need to know how to stay motivated for a long time. Even once you get the job, you don't want to end up stuck for many more years doing something you hate.
   - Try to experiment as much as possible (without spending money). It will help you learn what you are good at and what you like doing. I did this in college and benefitted a lot from it. I tried editing music, writing a book, writing rap, practising debate and public speaking, starting a college club, and a bunch of other stuff. Most of the experiments flopped but I learned about what motivates me.
   - I have basics of software development skill which I mostly self-studied. If making money is your goal, becoming a software developer is unambiguously a good option. You must be good at math and average at english to pursue it. (See your class 10 math and english marks to know if you're good, otherwise go and study class 10 syllabus first.). You can ask me more if you want to learn software.
   - Some random opportunities you can look into:
     - Join French foreign legion, its part of the army in France - no degree needed, but you have to pay for flight yourself, and selection not guaranteed (you have above 50% chance if you take the opportunity seriously)
     - Teach English in southeast Asia - any degree ok, get TEFL certificate for $40 online, you can find job only after reaching destination country, contact me to know more.
     - Start a kitchen for a niche (less popular) cuisine. Many Indian cities and towns lack this. For example if you live in Kolkata, start an Odisha restaurant. If you live in Silchar, start a Manipuri restaurant. If you live in Delhi, start a Thai restaurant instead of a generic (indianised) Chinese one. Monopoly is good for business, 4-5 kitchens competing for the same customers is bad for business.

I will update this section once I have more data or spend more time thinking about it. 

### If you have atleast 5 years worth of savings - career advice

In India, 5 years worth of savings is around 10 lakh INR. The exact number varies a lot by country.

I assuming you have the skills and credentials to make this money yourself, i.e., you didn't inherit it or win it in a lottery or something.

(If you are very ambitious, you can also read the section after this section.)

Misc advice:
 - Consider hiring a secretary (college-educated, remote, english-speaking, digitally literate, full-time), to do some of your admin work like drafting emails. It is possible to hire a full-time remote secretary for $200/month. It probably doesn't matter which country you are living in, if you are willing to hire remotely. If your salary exceeds say, $1000/month, there's a good chance it makes financial sense to hire a secretary and save your time for something else.

#### Making another 5-30 years worth of savings might or might not be a good goal

Proof: I don't have personal experience with trying to make 1 crore INR. Consider getting the opinion of people who have tried this.

This section is a bit country-specific, sorry.

If one of your main life goals is to make > 1 crore INR and you believe this will make your life more happy/peaceful/meaningful/etc than it is today, I strongly recommend you try the following experiments. I don't think I'll be significantly happier with 1 crore, and my guess is there are many others whose brain is wired similar to mine in this regard.

Experiments to run to test if you *really* want 1 crore or not:
 - Make a list of things that you will be able to afford with more money that you can't afford today. Try renting a trial version of this today for one month, and see if this indeed makes you happy. Examples: bigger house, more international trips, high-end gaming PC etc.
 - Ask atleast 5 people in your social circle who have >1 crore and <1 crore how happy they are. Find people who are self-aware and likely to be honest with you. Also try to notice why they are happier - is it more luxury, better partner, freedom from social circle, less pressure to get job, etc.)
 - Run following thought experiment. Imagine you had a button that could switch off the part of your brain that generates anxiety when you pursue a higher risk career path. Imagine you had a similar button that could switch off the part of your brain that internalises social pressure from family and friends to make more money. What would be a good decision for this hypothetical person?
 - Take a few months off from your job. Make a list of things you'd like to do that don't require a lot of money, but require a lot of time. Then actually spend few months doing these things. Notice how it feels. Examples: learning a language, completing college courses online, becoming better at video editing.

For me personally, things I don't consider major benefits of 1 crore INR, assuming one already has 10 lakh INR:
 - more status among my social circle, possibly better partner
 - house, bigger house, vehicle, bigger vehicle
 - more travel
 - more tasty food, higher-end clothes, home decor, other consumerist stuff
 - safety net for medical emergencies

For me personally, things I consider major benefits of 1 crore INR:
 - going really deep into a hobby
   - For example one could setup a private research lab or a recording studio or a high-end kitchen. A hobby of this sort is capable of capturing my sustained attention for multiple years.
   - I have met only a few people in India doing this sort of thing with their money. If you are doing something cool, please [let me know](../contact_me.md). I'd love to learn more about you and what you're working on.
 - school education for (potential) children
   - But also like, consider homeschooling your kids, if your and your child's aptitude exceeds the school teachers'. 80% of my school education was a waste of time and money (no offense intended to my schoolteachers, most of them were decent people). Your kid can socialise with other kids elsewhere for free, and they may be eligible for a loan for college.

If you still conclude at the end of these experiments that making this money will make you significantly happier, feel free to do what as your heart desires. Ignore my advice and any social pressure I might be providing.

#### Making $1 million might be a good goal

Proof: I have some experience trying to make this amount and failing at it. I don't have personal experience with having this much money. Consider getting the opinion of people who do have this amount.

For me personally, main benefit of $1 million:
 - You can get an investor visa and live in any country in the world. You are no longer beholden to the laws and culture of a single nation, and you'll feel more safe. People of different cultures are likely to treat you differently both in the average case (day-to-day experience, workplace, etc) and worst case (during wartime, genocide etc)
 - The main determinants of your quality of life no matter where you live will probably be your work and your handful of close relationships. Living in a different country is especially valuable if it will lead to better work or better close relationships.

For me personally, not a benefit of $1 million:
 - FIRE (become Financial Independent and Retire Early) is not an interesting goal for me, most people who spend > 10 years to achive FIRE seem to get bored at the end anyway. Travelling and relaxing 24x7x365 is not enjoyable for most people, you will probably have to start your own projects to keep yourself occupied.

How?
Most stable career paths in India take too long (>10 years) to make this amount of money. If this is your goal, you are much better off doing one of the following:
 - upskilling and getting YoE on resume to the point where you can get a job from a developed country, either in-person or remote. This could involve getting foreign degree, or Indian job and in-company transfer
   - I don't have personal experience with this so ask people who do. I know this is quite common.
 - starting your own startup or business
   - I have a lot of resources on this, but here's not the place to share it. Read Paul Graham's blog, even if you are not founding a tech startup.
 - cracking UPSC
   - I generally don't recommend UPSC to most people, as most UPSC preparants can get higher rate of return on their time by studying a skill like software or writing or research or finance
   - Consider studying like 1/4th of the syllabus and give previous year exam papers on just that portion. From your marks you'll get a rough idea whether you're on track to cracking the exam or not.

Pursuing either of these requires you to quit your current job in India and not worry too much about leaving the "low risk" path.

There are a few other edge cases, for example you could marry someone with money or network with them and become their consultant or become a sex worker or something. I won't discuss them much here.

#### Not making money might be a good goal

Proof: I have over a year of personal experience with this.

The important thing is to measure your money not in number of lakhs but in number of years it buys you. Assume a frugal lifestyle and write down this number of years for you personally. If this number exceeds 5 years, you have a good reason to not focus on making more money.

Personally I realised I would be miserable trying to start a tech startup with sole goal of making $1 million, hence I gave up on this goal. (I'd probably be happier once I had the money. I'm talking here only about the process of acquiring it.) I'd much rather work on projects I care about. Figuring out which projects are worth doing takes time. I am still in the process of figuring this out for myself, but I'm confident I'm better off this way compared to when I tried to make money.

I might still take a job at some point, but atleast I'm clear the primary reason I chose this was not money but instead learning or social connections or something else. This is a huge privilege and I'm grateful to have it.

I don't recommend my current life path to everyone, but I recommend atleast considering it as an option.

### If you have $1 million - career advice

Proof: I don't have $1 million. Consider getting opinion from those who do.

Consider reading my advice on the other advice page.

If you are sufficiently ambitious, I would generally recommend considering not living in your home country. There are probably better opportunies available outside of it. The main exception I can think of is if you have already built a lot of country-specific knowledge that gives you an edge in business or politics in your country.

Business cultures vary *a lot* depending on country, based on my limited experience. Consider experiencing business cultures in multiple countries, no matter where you finally settle.

#### Becoming a major politician or a billionaire might be a good goal

Proof: I don't know much about this. Consider asking someone who does.

If you want significant influence over society, this is an option. You will have to work very hard, in order to acquire the required attention or capital. Also you will have to learn some of the behaviours of a socioeconomic class different from yours. You will definitely lose some of your current family and friends in the process, so it will be socially isolating. Also there may be an aspect of luck, many self-made billionaires admit to the role luck played in their success. (Although most people who do report luck as a factor report odds like 10% or 30%, not something unlikely like 1%. So don't let the luck factor dissuade you.)

I don't have a lot to say because it isn't something I know enough about yet. But I am interested in studying this, whether or not I ever seriously pursue this myself.

# Advice apart from career advice

### Advice for everyone - Make notes

Proof: I make lots of notes and it benefits me a lot. I have also observed this in a few people around me.

For almost everyone on Earth, I recommend making more notes about your life.

Why?
 - You will likely gain a deeper understanding of various aspects of your life.
   - It could be fundamental things like what your likes, dislikes, values, etc. are.
   - It could be practical things like how to dress or what to eat or how to write good emails.
 - You will retain thoughts that are otherwise temporary and easily forgotten.
 - It'll help you make long-term plans.
 - You'll notice patterns over long periods of time, such as problems that repeated themselves multiple times. and solutions that have worked multiple times.

How?
 - Pen/paper or digital works. I prefer digital because it's easier to edit and easier to preserve. (Yes, paper survives 100+ years, hard disk survives only ~5 years, but you can make copies of digital work more easily and preserve the copies.) Preserving long-term is very important, you want to be able to preserve your notes for 30+ years.
 - I've never made paper notes. If you're making paper notes, it is best you get advice from someone who does this. If I remember, state of the art is making a backup using acid-free paper with archival ink and storing the backup in a secure location with low humidity. (The paper is more important than the ink.)
 - If you're making digital notes, the easiest option is google drive or apple notes or something similar.
 - If you don't have or want to use KYC/phone number/digital ID, protonmail/protondrive is a good option as of 2024-12. Most websites (like Google, Apple, etc) force you to enter phone number which is tied to KYC in many countries.
 - Also it is a good idea to keep a backup on a disk in a secure physical location. Check the disk for errors once a year and swap it every few years, most disks fail in ~5 years.
 - If you know basic software development, I recommend you rent a linux machine, ssh into it and store plaintext/markdown notes instead. File formats, folder structure, account login methods, payment methods, UI/UX and lots of other things change every few years. Many of these rapid changes are causally downstream of the war between Big Tech companies, and it's better if your second brain isn't stored in some random file format you don't understand.
 - Some people like the fancy features of Roam, Obsidian, hackmd and so on. I've personally not found any of the features worth sacrificing the ability to preserve your notes 30+ years. If any of these tools support import/export in plaintext (NOT json, csv, rtf, docx or anything else), you could consider using them while also maintaining a plaintext backup outside of the tool.
 - Beyond this how much security you need is upto you, as additional security takes a lot more effort. Most people don't critically "need" more security, although it would be nice to live in a world where higher security could be obtained for little effort. Make sure to define your threat model. If your threat model is defending against targetted govt investigation and intelligence agencies, you could look into the security recommendations of SecureDrop or generally those found on the dark web. Some specific examples: LUKS disk encryption, anonymous server host paid anonymously (or better, host your own server in a secure location), separate devices and locations to login, PGP-encrypted ASCII paper backups along with disk backups, cronjob or custom deadmans switch, study enough network programming that you actually understand network vulnerabilities of your system, and so on. An airgapped machine in a faraday cage is the most secure setup, but most people want network access.
   - If you're using an NSA-proof security setup like this, maybe consider publishing the details so the rest of us can converge on best practices. (I understand people who use maximally secure setups are the same set of people who will not talk about their secure setups. That's why I'm nudging you a little bit here.)
   - Also remember that if you're operating this sort of setup, 50% of your opsec is the people you surround yourself with, not cybersecurity stuff. Spend as much effort studying that as you spend studying cybersecurity.


### Advice for everyone - Learn from the internet

Proof: I have learned as much from the internet as my entire formal education.

Why?
 - You can improve nearly every aspect of your life by learning from the internet.

How?
 - As of 2024, most google search results are SEO-optimised crap. (The website author deliberately wants your search to hit their page so they can serve you ads, and they don't care if they actually answer your question or not.) 
 - Popular platforms worth using as of 2024
   - Reddit - honest recommendations, life perspectives, technical Qs. Use "site:reddit.com" in your search query to get responses from reddit. Reddit users are not being paid to answer your query, and are more likely to be honest.
   - Libgen - free books
   - scihub - free papers
   - Youtube - podcasts, life perspectives
   - Stackexchange - very technical Qs, academia-heavy audience
   - Twitter - I hate the forced login and politics, but its good for following latest news in any community
   - Tiktok - yes lol you can even get latest news and technical tips on tiktok
   - discord - fastest way to audio/video call strangers, can follow open source (usually tech) projects
   - hackernews - basically the number one forum for software developers
   - lesswrong - niche forum I follow. In general whatever niche interests you have, there's probably a very small number of places on the internet that have its userbase. Find these places and follow them.
 - As of 2024, attention on the internet follows a power-law distribution. A very small number of websites have almost all the attention of all people on Earth. If you want to get answers to your queries, you have to learn to post your queries on these platforms.
 - LLMs like GPT4 (ChatGPT) are also good for receiving advice, and getting better.
 - Search even things you'd not think about searching. Every question you can imagine can have answers online. For example, how to become better at running, how to ensure house remains heated, how to sleep better, how to win arguments, etc etc etc.
 - Learn to get good at filtering information.
   - Most of the people around you in real life are a biased audience, they represent a very small portion of humanity. They are selected based on nationality, class, profession, religion, style of thinking, etc. Most of the people on the internet are also a biased audience. Different websites filter for different types of people. (And yes, please remember that people on the internet are people, with an entire life outside of the handful of comments of theirs you read.)
   - For example chemsistry stackexchange will predominantly attract people with a chemistry degree and predominantly from US/Europe. Whereas a subreddit about your country will attract the upper and upper-middle class of your country, all degrees, and likely only one political side. (The people of the other political sides were probably annoyed and went to a different subreddit or website instead.)
   - [Social dark matter](https://homosabiens.substack.com/p/social-dark-matter) is another very important idea to internalise here. Almost everyone has things they will avoid talking about or be dishonest about, especially on the intetnet, because of their irl situation. You will get a skewed picture of reality if you trust their internet representation to completely capture the irl version of them.


### Advice for (almost) everyone - Make a website

Proof: I have previously benefitted from this in terms of my career. For instance when working in cryptocurrency space. Even more recently (as of 2025-05) I benefit as putting content publicly forces me to think clearly and keep me motivated.

 - For almost everyone I recommend making your own website
 - How much and what types of content you post on the website is a personal decision. However, having a website will remind you that you have this option.

Why?
 - You can benefit in terms of your career and relationships. Other people may connect with you through it.
 - You can become a clearer thinker. Putting content out in public forces you to be clear about what you are writing and thinking. Also it can act as an external accountility and motivation mechanism. If you have publicly committed to doing something you are more likely to go through with doing it.

How?
 - As of 2025, if you lack software skills, it's easier to host content on substack and youtube respectively. I'd still recommend making atleast a one page website that links to your substack and youtube. You can learn to use github pages or link.bio or something. If your website gets enough users (or you can afford it), you can pay someone to build a website for you.
 - Check if your website allows or disallows scrapers (using robots.txt).
   - For instance substack allows scrapers as of 2025-05 but reddit disallows them. If your site requires people to "follow" you to view your content, it is safe to assume scrapers are disallowed.
   - Legal scrapes are posted by orgs like internet archive and common crawl.
   - Scraping disallowed doesn't mean scraping won't happen, just that they'll end up in illegal scrapes which may be slightly harder to find.
 - If you have non-zero software skills, here's a simplified version of the setup I use. Rent the cheapest Hetzner Cloud server you find. Store your plaintext and other static files in `/var/www/Website`. Store the config file below in `/etc/nginx/sites-available/yourwebsitenamegoeshere.conf`. Delete the default website and config file found in these folders. Then `sudo apt update && sudo apt upgrade -y && sudo apt install nginx -y && sudo systemctl start nginx`. Whenever modifying static files do: `sudo systemctl reload nginx`. Purchase a domain from cloudflare or anywhere else (cloudflare does free DDOS protection by doxxing visiting IP addresses), and set `A` records to your server's IP (IPv4). You can also use AI to write a more elaborate nginx conf and write CSS files for you.
```
server {
    listen 80;
    server_name yourwebsitenamegoeshere.com www.yourwebsitenamegoeshere.com;
    root /var/www/Website/;
    location / {
        autoindex on;
        try_files $uri $uri/ =404;
    }
}
```

### Advice for people who publish content online

Proof: Some of my older data is effectively inaccessible because of incorrect file formats. I regret this.

Please consider keeping plaintext (txt, not json, docx or whatever format) backups of your work.

Why?
 - Your favourite publishing platform (be it substack or wordpress or whatever) is not guaranteed to exist in 5 years, and if it does it might look like a different company altogether.
   - Payment policy might change
   - KYC / identification policy might change
   - business model or revenue stream might change, which changes everything about a company (even Big tech companies are not immune, Apple is the only whose revenue is not ad-based, LLMs might change the ad revenue landscape, etc.)
   - company might be acquired or lose talent etc. Check lifespan of median tech company.
 - Your account might get censored, hacked, lose access etc.
 - Popular file formats might change in 5 years. Plaintext lasts forever.

### Using AI to accelerate learning

Proof: I use AI a lot while learning anything.

Why?
 - AI can help you learn anything faster.

How?
 - It is best if you know basic software developer skills and can write simple bash scripts. (If you're on windows please rent a linux machine. Don't learn windows commandline, it's a waste of time.)
 - If you don't have software skills, you can probably still find websites with ready-made tools to do most of the following for you. The ready-made tools may have some disadvantages compared to writing your own tools (such as rate limits, ads, higher cost etc) but you'll find them.

Some specific tricks using AI to speedup learning:
 - Transcribe youtube videos: yt-dlp + ffmpeg silenceremove + whisper API
 - Extract plaintext from any webpage: curl + htmlq
 - Extract plaintext from epubs: unzip + find + htmlq
 - Once you've extracted plaintext, you can use AI to generate summaries and notes, simplify complex terminology, ask specific questions, generate quizzes or anki decks, etc.
 - Ideally you should be able to embedding-search everything. As of 2025-01-14 I'm not aware of any embedding search solution where you can "bring your own plaintext" and it'll do embedding generation and inference. But I'm expecting this will soon exist.

### Trading and investment advice

Proof: I have personal experience. I have invested and traded my money, and worked at trading-related companies.

Why?
 - Most obvious reason is making money. Knowledge of S&P500 and basics of finance are among the most valuable pieces of knowledge on earth. You might be losing a significant amount of potential earnings if you choose not to invest your money and leave it in your bank account instead.
 - IMO studying finance is somewhat useful even if you're not investing your own money. Looking at the world through a lens of probability and linear optimisation is a skill that many finance/econ people have and many non-finance people could benefit from.

How?
 - Investments and trading will likely not be the primary determinant of your life trajectory, unless you make it your full-time job. Increasing your income or revenue is more useful than trading/investing your existing money.
 - If you are very ambitious, there's probably some projects you actually believe in that you can make concentrated bets on - finanically and otherwise. But for most other people, its worth knowing about investment basics and making a handful of investments in the background.
 - If your savings cover less than 3 months of your living expenses (and this isn't expected to increase over the next 5 years), most of this information is not relevant to you. I'd recommend keeping your money safe in your bank account for emergencies, and not trading or investing it. You can still acquire some of the knowledge, without putting in any money.

#### Investments

Proof: Just look at historical price charts of all the assets you're buying, and study basic financial concepts like expected value, variance and tail risk.

 - I have used IBKR to buy S&P500 as a long-term investment (>5 years hold). I may or may not also own some BTC and ETH.

How?
 - S&P500 is the single most important investment you should understand deeply. It is more important to understand basics of S&P500 than it is to understand gold or real estate or cryptocurrency or bonds or interest rates or anything else. This is true even if you finally decide not to invest in it yourself.
 - If you are considering buying S&P500: Make sure to look at S&P500 100 years historical chart. Consider studying basic concepts of finance like probability, expected value, variance, tail risk and timeframes. This knowledge is not mandatory but it'll prevent you from buying too much / too little or selling your investment too early.

#### Trading

How?
 - It is possible to self-study trading from the internet. However, trading knowledge has an uncanny valley where someone who has a medium amount of knowledge and experience will tend to lose more money than someone who has no knowledge or experience. You have to cross this valley to become an expert. If you practice trading for multiple years you'll probably be profitable eventually, but consider if the time invested doing this is worth it. Long-term passive investment is good when you don't have a lot of time to devote to trading.
 - If you'd like to learn trading, practice with a small amount first, but take your decision-making process as seriously as if you had invested a significant amount. Don't bother with paper trading, just use a small amount of real money. Make sure to list multiple possible outcomes of each trade, their probabilities, the underlying hypotheses behind your trade and what could invalidate it.
 - "Technical analysis" is mostly a scam IMO, ignore it. Fundamentals-based trading is fine. Using an algo to predict trends in other people's trades is fine. Small cap is usually better than big cap for trading due to less efficiency. Shorter timeframe (seconds, minutes) is usually better than longer timeframe (weeks, months) if you're writing a bot, and vice versa if you're not.
 - Being successful at options trading is harder than it looks, I've lost money almost everytime I've done it and I don't personally recommend it unless you can devote atleast a year full-time just to options. This also applies to any unusual derivative whose theoretical valuation model looks at all similar to black scholes. (For example, binary options, there are mobile apps that try to addict you to it.)


### If you are a software developer

Proof: I have personal experience as a software dev.

Every development in how information transmits - be it printing press, semaphore, radio, television, telephone, and now smartphones and internet - has brought significant changes to how war and politics are practised. Consider studying the political implications of your own work. I only recommend studying this if you genuinely care or are genuinely curious.

You might have some influence on where your work finally ends up being used.
 - No matter which country or company you're in, the knowledge you produce as a developer will likely eventually transfer to the Big Tech companies. This is both the technical knowledge and the business knowledge (how you onboarded and retained your users).
 - This could be via a chain of acqusitions, via people leaving your company to start another, or via blogs and github repos.
 - The fraction of Earth's population using Big Tech services has been going strictly upward for 20+ years, and Big Tech getting more ways to onboard and keep users is a major reason for this.

### If you want to learn software dev

Why?
 - As of 2024, software development is one of the highest paying professions that you can get just by self-studying for 1-2 years on the internet. This is because a software business can serve millions of customers while investing very little money. Most other industries either can't serve millions of customers, or require significant initial investment to do it.

`Net revenue = number of customers * (profit per customer - cost per customer) - initial investment`

How?
 - Self-studying software often means climbing a learning curve that goes vertically upward. You might end up spending a lot of time and effort feeling like you are not learning much, only for you to suddenly realise at the end that you have learned a lot. Digging in deep into one concept might require you to learn two more concepts which might require you to learn two more, and only finally does even the first concept start making sense. Ensuring you are psychologically capable of putting effort even when you don't see immediate results, is an important skill in order to learn software development.
 - There's broadly 4 pieces of knowledge that are useful for you: basics of programming, linux and compiler and IDE knowledge, specific tech stacks for specific types of problems, and data structures and algorithms.

 - w3chools has good tutorials for learning software development.
 - Start with their tutorial on Python. Python is a good language to start. After learning some python, you can learn C. Don't make javascript your first language.
 - Ask a friend who knows software to install the tools for you, such as compilers/interpreters, libraries, etc. Installing things is not beginner-friendly and you should not spend time on it as a beginner. Making a friend who knows software dev is also useful to ensure you're not on the wrong path.
 - Initial concepts worth learning are: how to do standard input/output, data types, arithmetic, loops, functions. At first, ignore concepts that are not in this list, and become experienced with these concepts first.
 - Write code in a simple text editor like Notepad, Notepad++, Sublime Text, etc. No need for fancy IDE. Online code editor is okay but also learn how to do things on your own machine.
 - Also learn some linux commands such cp, mkdir, rm, mv, etc. Sign up to a platform like aws ec2 or gcp to get access to linux machines. You might get free credits.

 - Once you have done all of this, try learning a language for a specific task. For example ReactJS for frontend web development or Java for mobile app development or whatever. It is possible to directly jump into building a website without knowing fundamentals, but you will eventually end up going back to fundamentals anyway.
 - You might also want to do a course in data structure and algorithms at some point. If you enjoy data structures and algorithms, you can also do this before you learn a specific tech stack such as for website or app development.
 - Do whatever keeps you motivated. It's better to learn things the wrong way than to give up and not learn.

### If you want to build a social media following

Proof: I have not run a social media channel with significant attention. Go get advice from someone who has.

This section is especially relevant to professions such as journalists or online therapists, as they are more financially dependent on building a large following of the general public.

A useful mental model: There are 3 types of leverage - capital, attention and products that can be copied for free on the internet. You are either competing for people's attention, or you are competing to build products that are copied for free on the internet (i.e. blogs, videos) by many people.

You should decide whether the goal of your channel is to:
 - acquire lots of people's attention (which you can later use towards some goal), OR
 - tell people a useful way of thinking/listening/speaking/acting/etc

Both of these are interrelated, usually doing 2 also gets 1 as a byproduct. But never lose track of the fact that these two are different.

A direct parallel to this is starting a business. A business can produce capital for you (which you can later use towards some goal) and provide useful products to other people. Doing 2 can get you 1, but you should always be aware of the difference between the two.

If you want to build a social media following there's IMO three routes:
1. Enter the competition of top 10 / top 100 YouTubers on earth. If you win you can basically form the government of your country yourself.
2. Pick a niche and then become top 3 YouTubers on earth in that niche. This is profitable enough to survive. 
3. Go work for someone doing 1 or 2. This way you won’t be the public face that earns trust or attention. But you’ll get income. 

Attention on the internet is power-law distributed. Each person has not more than 10 channels they are paying attention to at any given moment. (They might follow >100 but they are not paying attention to them enough for those channels to affect their life.) If you are not in anyone's top 10 follows you effectively don't exist. "Better to be loved by few than liked by many." is a general rule of thumb for acquiring attention on the internet.

I recommend youtube over other channels because you can earn people's trust by showing your face on video.

In order to become top 3 social media channels on Earth in any niche, you'll have to run multiple iteration cycles where you will see zero reward. You'll have to manage your psychology as get zero reward for a long time.

Make sure to get direct feedback by asking people (using video call or in-person meeting, not just through comment section) what they would or would not like to see in your videos. 

