2025-05-27

# Donate

#### Update

Please see my other document for specific project instead. This document is for unrestricted donations.

## Main

**My XMR address:**

```
446uMYQvFeN5kmwC4TKs4h9BLTbDmXD9ECTTpe5NfnXKby7XSeY876LMpSryKMLFBAYLYWumrxdftLcqnp2F1CSQMHrHpPb
```

#### Do not donate if

 - if your expected networth in next 5 years is below $500k. There's a possibility you need this money more than me.
 - if you feel you have obtained most of your money by morally grey or immoral means. This is true whether or not I ever get to know how you obtained your money.

#### Donating less than $1000

How?
 - For amounts below $1000, I only accept Monero (XMR) from anonymous donors.
 - If you've donated to me, do not message me or anyone in my circle saying you've donated to me, as that can break the anonymity.
 - The best way to buy XMR is usually buying BTC first using a bank transfer, then swapping that for XMR. Reddit has recommendations for both KYC and no-KYC options. If you find this hard or time-consuming, consider finding a friend who can buy it for you and paying them a commission. Learning these skills can be fun and can come in handy in the future.

Why?
 - I prefer anonymous donations because I don't have time or interest in doing a background check on small donors. And I would not want to entangle my reputation with yours without a background check.

#### Donating $1000 to $500k

How?
 - The above XMR address still works. 
 - I can also likely support other payment modes such as wire transfer (SWIFT), Paypal/Stripe or US equity. This may require a background check.
 - I can also list you on my website after a background check, if you prefer this.
 - [Email me](./contact_me.md) and I'll quickly figure out the best way to accept your donation. If you're undecided on whether to donate and want a 1-hour call with me first, please email me.

#### Donating above $500k

How?
 - I'd recommend donating $500k first, and giving me a couple weeks to figure out the legal aspects. 
 - Once I'm ready, you can send the remaining amount.
 - [Email me](./contact_me.md) and I'll figure it out.
 - Allying with a politician or billionaire would be one of my potential lifetime goals. If you are one, I'm willing to put in a lot of effort to build such a relationship.
   - It could be a standard donor-recipient relationship, in which case I will insist on maintaining autonomy over my decision-making.
   - Or it could be a relationship that involves shared decision-making, in which case we may both have to make compromises.

## Consequences of donating to me

Money
 - This is the unrestricted donations page. Money donated to me is not earmarked for a specific project, it is given so that I have more agency in the world. **If I spend all of the money on failed activities or on self-serving activities, I have not done anything unethical.** I'll try not to do that, but I make no legally binding promises.
 - Receiving $500k cumulative donation would significantly change my life, as that would let me get an EU citizenship and fast-tracked US green card.
 - Receiving small donations will not significantly change my life but would provide me encouragement, and allow me to tell others that I get paid for my work, instead of telling them I'm unemployed.

Sponsoring visa
 - If I were to live in the US (most probably in SF), I could meet potential collaborators and mentors more easily, and abide by the free-speech norms of the US. This is likely to help me as free-speech norms affect not just what I am allowed to say but what thoughts I allow myself to think.
 - I am not keen on shifting to the US on a visa that lets someone else arbitrarily restrict what I do or say.
   - I understand that my speech and behaviour may affect your reputation. We may be able to negotiate a way for your reputation to be insulated from mine despite you providing me a visa. Please contact me to discuss more.

## Ideal funder

I'm not sure if there's even one grantee that satisfies following criteria
 - received $1M funding
 - non-profit
 - public advocacy
 - AI xrisk

There are currently very non-profit funders for public advocacy around AI risk. Most large funders are funding alignment researchers and US policymakers, in order to make societal changes while keeping most of humanity out of the decision-making process. I don't have a moral problem with this strategy but I think it has high probability of failure, and that public advocacy is more likely to succeed than this strategy.

Relevant: [FLI digital media accelerator](https://futureoflife.org/project/digital-media-accelerator/)

## Past financial record

As of 2025-05 I currently have net worth in range $20k-$100k.
 - I am not dependent on donations.
 - I currently live in India on approx $200 per month (approx $2500 per year).
 - The exact amount I spend can go up or down, for example depending on the projects I'm working on.
 - I can sustain myself on my savings for atleast a few years.

Most of this was made via crypto trading and investments, including working at Rari Capital and investing in crypto during bull run in 2021.

An investment I made that I now consider morally grey was purchasing significant amount of REPT to profit from victims of smart contract hacks.
 - Rari Capital's smart contracts were hacked twice, first in 2021-05 and second in 2022-04. After the first hack, IOU tokens called REPT were issued to all victims. They could either hold these tokens till they were repaid back by Rari, or sell them to someone else. Some of the users sold them to me at a deep discount. Eventually Rari did in fact pay back the hack victims, allowing me to profit.
 - I did not cause the smart contract hacks, was not responsible for smart contract security and had left the company over 3 weeks prior to these investments in REPT.
 - I do not currently intend to return this money to the counterparties who sold me REPT. I might consider returning it if I became much wealthier than I currently was. If I had to redo the situation again, I might have made different choices. I think Samuel!2021 undervalued the importance of building a strong reputation compared to Samuel!2025.
