2025-07-11

# Finance course

Haven't made a proper course as it's a not an immediate priority.

Topics I strongly recommend to almost everyone
 - Intro to asset classes
   - equity, bonds, crypto, gold and other commodities, real estate
 - Intro to derivatives
   - margin trading, quarterly/monthly futures, perpetual futures (popular in crypto), european and american options
 - Intro to risk
   - time value of money
   - expected value, variance, sharpe ratio
     - Maximising expected value is not enough, you want maximise expected value given a certain variance, tail risk and time horizon. Two opportunities may have same expected value but one may be way better than the other.
   - tail risk, log utility, kelly criterion
     - Variance and tail risk are two different risks, don't mix them up. Calculate separate values for both.
 - Trading in practice
   - understanding orderbook, limit/market orders, stoploss, etc
 - Effects of large portfolio size (> $10M)
   - absorb more tail risk (due to log utility)
   - access illiquid but big opportunities
   - pay full-time employees to do analysis for you, thereby increasing expected value of bets
   - illiquid small opportunities are no longer worth your time 
     - (if you are trading personal funds, you have comparative advantage in illiquid markets where big players don't bet)

Topics I weakly recommend (depends on your situation and your interests)
 - Financial theory
   - Markowitz optimisation, formal proofs surrounding EMH, long-term versus short-term
 - Fundamental analysis
   - EBIDTA, balance sheet analysis
 - Options trading
   - brownian motion, black scholes model, black scholes as applied in practice
 - Liquidation process

Topics I recommend you avoid
 - "Technical analysis" - it is mostly a scam
