2025-05-28

# Declaration of war against AI companies

Update: I now have a document called "information policy" that describes in more detail when I do and don't respect privacy for others.

#### Disclaimer

 - This document contains politically sensitive info.

#### Summary

 - I support most non-violent methods of stealing information from superintelligent AI compaies and the govts, hardware manufacturers and investors that support these companies.

## Main

As of 2025-04, I endorse the following actions that violate liberal consent-based norms against people involved in building superintelligent AI.
 - If you commit any of the mentioned actions against the mentioned people with any of the mentioned goals in mind, I morally support you.
 - I can't define very strict boundaries, but I will define them loosely.

#### Actions

I morally support you if you do this
 - Without consent, publicly publish interviews of them or anyone in their social circle.
 - Without consent, publicly publish video recordings of them at home or at the company office or anywhere else. Includes recording made by computer/mobile camera, cctv or drone.
 - Without consent, plant recording devices such as cameras in their homes or offices.
 - Hack their personal or work computers.
 - Steal their personal or work computers or disks by breaking into their houses or offices but without use of violence on any person.
 - Without consent, publicly publish any material found on their personal or work computers or disks, obtained by hacking or non-violent theft.
 - Deanonymise any of their online profiles
 - Without consent, publicly publish any material found on their online profiles, including those found by deanonymising them

I do not morally support you if you do this
 - Fake significant emotional investment (as a romantic partner, friend, family member, work colleague etc) in order to infiltrate their social circle
 - Threaten physical violence against them
 - Physical violence against them, including injury or murder

#### People

List of companies publicly aiming to build superintelligent AI:
 - Incomplete list as of 2025-04: Deepmind, OpenAI, Anthropic, Meta, xAI, SSI, Reflection AI, Deepseek (China), AI21Labs (Israel).

I morally support you if you take the specified actions on any of these people:
 - Employee roles
   - All tech employees working at an ASI company.
 - Leadership roles
   - Leadership of an ASI company.
   - Major funders of an ASI company.
     - Includes leadership of Microsoft, Google, Apple.
     - Includes any private investors funding >$100M to an ASI company.
   - Leadership of semiconfuctor manufacturer TSMC.
   - Leadership of semiconductor design companies including Nvidia, AMD and Apple.
   - Leadership of intelligence community or executive branch of USA, UK, Israel, China or Taiwan.

I do not morally support you if you take the specified actions of any of these people:
 - AI researchers not working at a company publicly aiming to build superintelligent AI.
 - Investors funding AI companies that are not publicly aiming to build superintelligent AI.
 - Employees at semiconductor manufacture or design companies.
 - Anyone else on Earth.

#### Goals

I morally support you if this is your primary goal
 - Acquire data about these people in order to share it with the public, even if doing so causes some suffering to them
   - I'm assuming that you might therefore make an attempt to redact information not relevant to this goal. For example, this includes information about their personal lives that does not give you information about their values.
   - I'm assuming that people in the public may find some way of meaningfully using this information to further societal change such as a global ban on ASI.

I do not morally support you if this is your primary goal
 - Intentionally increase suffering of these people
   - Assumed that intentionally increasing suffering may be done to directly dissuade people from working on ASI by spreading fear
 - Sell the information for money or political influence (exceptions exist)

#### Why?

 - I think there's a significant probability inventing ASI is going to lead to either extinction of the human race, or a global dictatorship with expected lifespan >100 years.
 - I think there's a significant probability one of these companies will succeed in building ASI by 2030.
 - For more exact probability estimates or reasoning behind the estimates, read my other post or go ask someone else who has also thought about it. Many of the people on [this list](https://safe.ai/work/statement-on-ai-risk) have made public statements in various podcasts, blogposts and so on.

#### Proof of non-violence

 - Evidence that I do not currently support or engage in violent actions as of 2025-04
   - I have no criminal record.
   - If I am investigated by law enforcement, I will comply with said investigation.
   - My opsec is not very strict.
   - You can probably get a meeting with me or people in my social circle if you have a good reason to do so.
 - If you are considering committing violence, do not contact me. Like I said, I will comply with any investigation against me.

#### Potential consequences of declaring war

(As of 2025-04, I am willing to accept all the consequences of my actions that I can foresee.)

External, world
 - People working at AI companies or in govt may take hostile actions against people similar to me.
 - People working at AI companies or in govt may refuse to be persuaded by arguments around ASI timelines, x-risk, totalitarian risk etc. (Applying force often means giving up on persuasion.)
 - People working at AI companies may endure significant suffering as a result of information stolen. In worst case they may commit suicide or commit significant crimes in response.
 - People working on AI safety and governance but via more peaceful approaches may isolate from me, and may take hostile actions against me.
 - All these hostilities may last multiple generations and I may be permanently reducing the success rates of anyone's peaceful approaches at solving this problem.

External, me
 - I may be permanently damaging my reputation, and people's ability to trust me.
   - Since I have endorsed this set of actions on this particular target, people will correctly predict from their point of view that on a later date, there's increased likelihood that I may endorse this or other actions on another target.
 - People following me may escalate to violence against AI companies. I will be partially responsible for the same as I provided moral support for similar actions through this document.
 - I might be investigated by law enforcement if crimes against AI companies' occur, including violent crimes.
 - People working at AI companies or in govt may isolate from me, and may take hostile actions against me.
 - I may be permanently reducing the set of people who are willing to interact with me in any capacity, be it work or personal.

Internal
 - I may be permanently or temporarily damaging my ability to empathise or connect with other people. (People who believe in pacifict principles seem happier to me on average.)

#### Morality of war

 - I don't have an airtight moral justification for entering this conflict. But my guess is I am morally okay with it and I am unlikely to regret it later in my life.
 - Some claims I do believe are below. They're not defined very rigorously or presented very clearly.
   - Incentives shape morality
     - People often take self-interested actions available to them in their circumstances and then retroactively invent moral justifications for it.
     - The nicer a person's circumstances are to begin with, the nicer their morality can be in response to their circumstances.
     - The circumstances around inventing ASI are sufficiently dire that being nicer than the circumstances is a very low bar. I am clearing this bar and therefore I feel morally okay with my actions.
     - There are lots of incentives pulling the world towards more transparency and less privacy. It seems very likely to me that, in absence of atleast a significant coordinated effort otherwise, the end state equilibrium likely includes:
       - less privacy for everyone as compared to privacy everyone has in 2025
       - more people inventing and then following moralities that accept this end state as normal or good
     - Given that the end state equilibrium is likely this anyway, I would like to ensure this equilibrium also features increased transparency of elites who currently have not earned high level of trust from me (or I'm guessing, high level of trust of the general public).
   - [Power buys you distance from the crime](https://acesounderglass.com/2019/08/01/power-buys-you-distance-from-the-crime/)
     - If I am willing to publish stolen information and I wish to minimise probability of regretting my actions later, then I should also be willing to endorse stealing the information in the first place. This is a heuristic not an absolute rule.
   - Value stability
     - I have been thinking along similar lines since 2023. It is 2025 now. This indicates I'm less likely to regret my actions later.
   - Great filter
     - There is significant likelihood someone will deploy an intelligence-enhancing technology by 2050, unless there is significant effort by many people to prevent this outcome.
     - I want to have an impact on the future post-2050 that is not zero. This means I have to pick a life trajectory that explicitly acknowledges the fact that these technologies may be coming. There are a small number of such life trajectories and I am picking one of them.

