2025-06-03

# Blood test report (tested 2024-05-18)

Samuel, male, DOB 2001-01-03

Summary
 - ?

```
Test Name Results Units Bio. Ref. Interval
LIVER & KIDNEY PANEL, SERUM
Creatinine 0.84 (Modified Jaffe,Kinetic) mg/dL 0.70 - 1.30
GFR Estimated 125 (CKD EPI Equation 2021) mL/min/1.73m2 >59 
GFR Category G1 (KDIGO Guideline 2012) 
Urea 25.30 (Urease UV) mg/dL 13.00 - 43.00 
Urea Nitrogen Blood 11.82 (Calculated) mg/dL 6.00 - 20.00
BUN/Creatinine Ratio 14 (Calculated) 
Uric Acid 4.80 (Uricase) mg/dL 3.50 - 7.20
AST (SGOT) 16.0 (IFCC without P5P) U/L 15.00 - 40.00
ALT (SGPT) 12.0 (IFCC without P5P) U/L 10.00 - 49.00
GGTP 15.0 (IFCC) U/L 0 - 73
Alkaline Phosphatase (ALP) 76.00 (IFCC-AMP) U/L 30.00 - 120.00
Bilirubin Total 1.10 (Oxidation) mg/dL 0.30 - 1.20
Bilirubin Direct 0.42 (Oxidation) mg/dL <0.3
Bilirubin Indirect 0.68 (Calculated) mg/dL <1.10
Total Protein 8.50 (Biuret) g/dL 5.70 - 8.20
Albumin 5.35 (BCG) g/dL 3.20 - 4.80
A : G Ratio 1.70 (Calculated) 0.90 - 2.00
Globulin(Calculated) 3.15 gm/dL 2.0 - 3.5
Calcium, Total 9.60 (Arsenazo III) mg/dL 8.70 - 10.40
Phosphorus 3.69 (Molybdate UV) mg/dL 2.40 - 5.10
Sodium 143.00 (Indirect ISE) mEq/L 136.00 - 145.00
Potassium 4.38 (Indirect ISE) mEq/L 3.50 - 5.10
Chloride 110.00 (Indirect ISE) mEq/L 98.00 - 107.00

Test Name Results Units Bio. Ref. Interval
LIPID SCREEN, SERUM
Cholesterol, Total 171.00 (CHO-POD) mg/dL <200.00
Triglycerides 94.00 (GPO-POD) mg/dL <150.00
HDL Cholesterol 53.10 (Enz Immunoinhibition) mg/dL >40.00
LDL Cholesterol, Calculated 99.10 (Calculated) mg/dL <100.00
VLDL Cholesterol,Calculated 18.80 (Calculated) mg/dL <30.00
Non-HDL Cholesterol 118 (Calculated) mg/dL <130

Test Name Results Units Bio. Ref. Interval
Glucose Fasting 85.00 (Hexokinase) mg/dL 70 - 100
Vitamin B12; Cyanocobalamin 298.00 pg/mL 211.00 - 911.00
Vitamin D, 25 Hydroxy 33.70 nmol/L 75.00 - 250.00

Test Name Results Units Bio. Ref. Interval
THYROID PROFILE,TOTAL, SERUM (CLIA)
T3, Total 1.19 ng/mL 0.60 - 1.81
T4, Total 9.90 μg/dL 5.01 - 12.45
TSH 1.94 μIU/mL 0.550 - 4.780

AMYLASE, SERUM (G7PNP)
Amylase 46.00 U/L 30.00 - 118.00

IRON STUDIES, SERUM (Spectrophotometry)
Iron 167.00 ug/dL 65.00 - 175.00
Total Iron Binding Capacity (TIBC) 328.00 μg/dL 250.00 - 425.00
Transferrin Saturation 50.91 % 20.00 - 50.00

HbA1c (GLYCOSYLATED HEMOGLOBIN), BLOOD (HPLC, NGSP certified) 
HbA1c 5.0 % 4.00 - 5.60
Estimated average glucose (eAG) 97 mg/dL

C-REACTIVE PROTEIN, CARDIO; hsCRP (Immunoturbidimetry) 2.05 mg/L <1.00

APOLIPOPROTEINS A1 & B, SERUM (Immunoturbidimetry)
Apolipoprotein (Apo A1) 121 mg/dL 79 - 169
Apolipoprotein (Apo B) 76 mg/dL 46 - 174
Apo B / Apo A1 Ratio 0.63 0.35 - 0.98

URINE EXAMINATION, ROUTINE; URINE, R/E
(Automated Strip Test, Microscopy) Physical
Colour Slight Lemon Yellow Pale yellow
Specific Gravity 1.015 1.001 - 1.030
pH 5 5.0 - 8.0
Chemical
Proteins Negative Negative
Glucose Negative Negative
Ketones Negative Negative
Bilirubin Negative Negative
Urobilinogen Negative Negative
Leucocyte Esterase Negative Negative
Nitrite Negative Negative
Microscopy
R.B.C. Negative 0.0 - 2.0 RBC/hpf
Pus Cells Negative 0-5 WBC / hpf
Epithelial Cells 0.0 - 5.0 Epi
cells/hpf 0-1 Epi Cells/hpf
Casts None seen None seen/Lpf
Crystals None seen None seen
Others None seen None seen

HEMOGRAM
Hemoglobin (Photometry) 16.50 g/dL 13.00 - 17.00
Packed Cell Volume (PCV) (Calculated) 49.00 % 40.00 - 50.00
RBC Count (Electrical Impedence) 5.48 mill/mm3 4.50 - 5.50
MCV (Electrical Impedence) 89.50 fL 83.00 - 101.00
MCH (Calculated) 30.20 pg 27.00 - 32.00
MCHC (Calculated) 33.70 g/dL 31.50 - 34.50
Red Cell Distribution Width (RDW) (Electrical Impedence) 14.10 % 11.60 - 14.00
Total Leukocyte Count (TLC) (Electrical Impedence) 7.00 thou/mm3 4.00 - 10.00
Differential Leucocyte Count (DLC) (VCS Technology) Segmented Neutrophils 45.80 % 40.00 - 80.00
Lymphocytes 38.30 % 20.00 - 40.00
Monocytes 6.10 % 2.00 - 10.00
Eosinophils 9.50 % 1.00 - 6.00
Basophils 0.30 % <2.00
Absolute Leucocyte Count (Calculated)
Neutrophils 3.21 thou/mm3 2.00 - 7.00
Lymphocytes 2.68 thou/mm3 1.00 - 3.00
Monocytes 0.43 thou/mm3 0.20 - 1.00
Eosinophils 0.67 thou/mm3 0.02 - 0.50
Basophils 0.02 thou/mm3 0.02 - 0.10
Platelet Count (Electrical impedence) 346 thou/mm3 150.00 - 410.00
Mean Platelet Volume (Electrical Impedence) 8.1 fL 6.5 - 12.0
E.S.R. (Capillary photometry) 1 mm/hr 0.00 - 15.00
```
