2025-06-03

# Blood test report (tested 2025-05-25)

Samuel, male, DOB 2001-01-03

Summary
 - Vitamin D and B12 insufficient.

```
Test Name Result Unit Bio. Ref. Interval Method
VITAMIN D (25 - OH VITAMIN D) ,SERUM 21.7 ng/mL 30 -100 CLIA

Test Name Result Unit Bio. Ref. Interval Method
VITAMIN B12 , SERUM 170 pg/mL 190-900 CLIA
```

---

```
Test Name COMPLETE BLOOD COUNT (CBC) , WHOLE BLOOD EDTA
Result Unit Bio. Ref. Interval Method
HAEMOGLOBIN 16.5 g/dL 13-17 Spectrophotometer
PCV 49.80 % 40-50 Electronic pulse & Calculation
RBC COUNT 5.25 Million/cu.mm 4.5-5.5 Electrical Impedence
MCV 94.9 fL 83-101 Calculated
MCH 31.4 pg 27-32 Calculated
MCHC 33.1 g/dL 31.5-34.5 Calculated
R.D.W 13.8 % 11.6-14 Calculated
TOTAL LEUCOCYTE COUNT (TLC) 5,500 cells/cu.mm 4000-10000 Electrical Impedance
DIFFERENTIAL LEUCOCYTIC COUNT (DLC)
NEUTROPHILS 48.2 % 40-80 Flow cytometry
LYMPHOCYTES 37.8 % 20-40 Flow cytometry
EOSINOPHILS 6.1 % 1-6 Flow cytometry
MONOCYTES 7.4 % 2-10 Flow cytometry
BASOPHILS 0.5 % 0-2 Flow cytometry
CORRECTED TLC 5,500 Cells/cu.mm Calculated
ABSOLUTE LEUCOCYTE COUNT
NEUTROPHILS 2651 Cells/cu.mm 2000-7000 Calculated
LYMPHOCYTES 2079 Cells/cu.mm 1000-3000 Calculated
EOSINOPHILS 335.5 Cells/cu.mm 20-500 Calculated
MONOCYTES 407 Cells/cu.mm 200-1000 Calculated
BASOPHILS 27.5 Cells/cu.mm 0-100 Calculated
Neutrophil lymphocyte ratio (NLR) 1.28 0.78- 3.53 Calculated
PLATELET COUNT 297000 cells/cu.mm 150000-410000 Electrical impedence
MPV 7.8 Fl 8.1-13.9 Calculated

Test Name Result Unit Bio. Ref. Interval Method
ESR , WHOLE BLOOD EDTA 9 mm at 1 hour 0-15 Modified Westergren

Test Name Result Unit Bio. Ref. Interval Method
GLUCOSE, FASTING , NAF PLASMA 89 mg/dL 70-100 HEXOKINASE

Test Name Result Unit Bio. Ref. Interval Method
HBA1C (GLYCATED HEMOGLOBIN) , WHOLE BLOOD EDTA
HBA1C, GLYCATED HEMOGLOBIN 5 % HPLC
ESTIMATED AVERAGE GLUCOSE 97 mg/dL Calculated

Test Name Result Unit Bio. Ref. Interval Method
LIPID PROFILE , SERUM
TOTAL CHOLESTEROL 163 mg/dL < 200 CHOD-PAD
TRIGLYCERIDES 65 mg/dL < 150 GPO-PAP
HDL CHOLESTEROL 60 mg/dL >=40 Desirable Enzymatic Immunoinhibition
NON-HDL CHOLESTEROL 102 mg/dL <130 Calculated
LDL CHOLESTEROL 89.42 mg/dL <100 Calculated
VLDL CHOLESTEROL 13.08 mg/dL <30 Calculated
CHOL / HDL RATIO 2.69 0-4.97 Calculated
ATHEROGENIC INDEX (AIP) < 0.01 <0.11 Calculated

Test Name Result Unit Bio. Ref. Interval Method
LIVER FUNCTION TEST (LFT) , SERUM
BILIRUBIN, TOTAL 0.96 mg/dL 0-1.2 Diazo
BILIRUBIN CONJUGATED (DIRECT) 0.34 mg/dL 0-0.2 Diazo
BILIRUBIN (INDIRECT) 0.62 mg/dL 0.0-1.1 Calculated
ALANINE AMINOTRANSFERASE (ALT/SGPT) 24.2 U/L 10-50 IFCC with Pyridoxal Phosphate
ASPARTATE AMINOTRANSFERASE (AST/SGOT) 23.8 U/L 10-50 IFCC with Pyridoxal Phosphate
AST (SGOT) / ALT (SGPT) RATIO (DERITIS) 1.0 <1.15 Calculated
ALKALINE PHOSPHATASE 85.40 U/L 40-129 IFCC
PROTEIN, TOTAL 8.28 g/dL 6.4-8.3 Biuret
ALBUMIN 5.13 g/dL 3.5-5.2 Bromo Cresol Green
GLOBULIN 3.15 g/dL 2.0-3.5 Calculated
A/G RATIO 1.63 0.9-2.0 Calculated

Test Name Result Unit Bio. Ref. Interval Method
RENAL PROFILE/KIDNEY FUNCTION TEST (RFT/KFT) , SERUM
CREATININE 0.80 mg/dL 0.7-1.2 Jaffe
.eGFR - ESTIMATED GLOMERULAR FILTRATION RATE 124.44 mL/min/1.73m² >60 CKD-EPI FORMULA
UREA 17.60 mg/dL 13-43 Urease
BLOOD UREA NITROGEN 8.2 mg/dL 8.0 - 23.0 Calculated
URIC ACID 4.52 mg/dL 3.5-7.2 Uricase
CALCIUM 10.30 mg/dL 8.6-10 NM-Bapta
PHOSPHORUS, INORGANIC 4.36 mg/dL 2.5-4.5 Phosphomolybdate Complex
SODIUM 140.6 mmol/L 136-145 ISE (Indirect)
POTASSIUM 4.2 mmol/L 3.5-5.1 ISE (Indirect)
CHLORIDE 103 mmol/L 98-107 ISE (Indirect)
PROTEIN, TOTAL 8.28 g/dL 6.4-8.3 Biuret
ALBUMIN 5.13 g/dL 3.5-5.2 Bromo Cresol Green
GLOBULIN 3.15 g/dL 2.0-3.5 Calculated
A/G RATIO 1.63 0.9-2.0 Calculated

Test Name Result Unit Bio. Ref. Interval Method
C-REACTIVE PROTEIN CRP (QUANTITATIVE) , SERUM 1.2 mg/L 0-5 Latex Particle Immunoturbidimetric

Test Name ELECTROLYTES - SERUM , SERUM
Result Unit Bio. Ref. Interval Method
SODIUM 140.6 mmol/L 136-145 ISE (Indirect)
POTASSIUM 4.2 mmol/L 3.5-5.1 ISE (Indirect)
CHLORIDE 103 mmol/L 98-107 ISE (Indirect)

Test Name Result Unit Bio. Ref. Interval Method
IRON STUDIES (IRON + TIBC) , SERUM
IRON 107.0 µg/dL 70-180 TPTZ AND NITROSO-PSAP
TOTAL IRON BINDING CAPACITY (TIBC) 324 µg/dL 261-462 Calculated
UNSATURATED IRON BINDING CAPACITY (UIBC) 217.00 µg/dL 155-355 NITROSO-PSAP
% OF SATURATION 33.02 % 14-50 Calculated

THYROID PROFILE TOTAL (T3, T4, TSH) , SERUM
TRI-IODOTHYRONINE (T3, TOTAL) 93.2 ng/dL 87-178 CLIA
THYROXINE (T4, TOTAL) 9.4 µg/dL 5.48-14.28 CLIA
TSH (Ultrasensitive/4thGen) 2.626 µIU/mL 0.38-5.33 CLIA

Test Name Result Unit Bio. Ref. Interval Method
VITAMIN D (25 - OH VITAMIN D) ,SERUM 21.7 ng/mL 30 -100 CLIA

Test Name Result Unit Bio. Ref. Interval Method
VITAMIN B12 , SERUM 170 pg/mL 190-900 CLIA
```
