2025-05-20

# I want leverage

Disclaimer
 - This is quick note. Haven't spent much time on it.

Update
 - I think there's something fundamentally broken about this whole model by Naval, but haven't figured out what exactly.
   - Internet-copyable products such as software or podcasts are basically just a new way to gain attention. Maybe I should call this "digital attention" or something.
   - Some people then trade this digital attention for capital (using advertising or subsriptions or whatever). But this is not a mandatory step.
     - Are you providing advice, are you providing emotional support, are you providing them food/water/basic goods, are you providing them social status?
     - If you are providing physical goods (like Amazon) you need to charge the end user ofcourse. But in many other cases you can get by without charging most of your users.
   - Digital attention is very heavy-tailed. A few channels occupy most people's attention and many channels occupy small niches.
     - Youtube channels can now run entire governments and shopping websites can now run entire economies.
     - Tech website owners seem to be more aware of this fact than youtubers are.

2025-04-17

#### Main

How does someone build massive amounts of influence over society?

I am highly sympathetic to Naval's viewpoint that there's 3 forms of leverage in society:
 - attention
 - capital
 - internet-copyable products - software, blog posts, video speeches, etc

You can also merge multiple forms of leverage
 - For example Zuckerberg has now built leverage in terms of both capital and software.
 - Vitalik too built leverage in terms of both capital and software, although increasing political popularity of crypto means he is also building leverage in terms of attention.
 - Maximum leverage may very well to build alternate forms of government that operate in internet-native ways, rather than operate in conventional ways but adapted to the internet.

Having leverage means you can lend or trade those resources with terms attached
 - Everyone needs a minimum amount of capital and attention to survive (lower and middle levels of Maslow's hierarchy respectively). If you have more capital and attention than you need for your survival, you may now have ability to decide who else survives or doesn't.
 - You might lend it to someone who also has more capital and attention than they need to survive. After enough rounds of lending and trade eventually these resources end up used by someone who actually needs them to survive.
 - (I guess more people find all this obvious for capital than for attention. People can commit suicide for lack of attention just as they can starve to death. Attention can hoarded or circulated to others just as capital can be hoarded or circulated to others.)

Real power versus formal power
 - It is also important to differentiate between formal positions of power and actual influence on millions of people. A billionaire may have thousands of people listening to him, a random youtube podcaster may have millions of people listening to him. Owning a formal position of power does not mean lots of people are actually paying attention to you or changing their own speech or behaviour as a result of your speech and behaviour.
 - Internet allows one to build deeper connections with millions of people, than was ever possible before in history. You are still limited on close relationships like friendships, you still can't make a million friendships for instance. But you can for example get real feedback from a million people, be it collect it, keep track of who is providing what feedback and why, filter it, and connect each piece of advice to the relevant people who will take decisions based on it. This was not anywhere as easy to do in world where your voter's feedback would reach you via postal service via train for example.

Self-replication
 - You might want your leverage to self-replicate after you die. Building a structure (such as a corporation or government) that can meaningful weild your leverage after you die is one to ensure long-term influence on society. Some corporations and governments are much more effective than others at weilding leverage after you as the founder die.
 - An even more powerful way of doing self-replication is for millions of people to themselves voluntarily self-replicate your way of doing things. For instance ideology that is pro-democracy or pro-market has self-replicated for multiple centuries. An important factor here is that spreading the ideas also means newer believers are motivated to replicate the societal structures that would allow for even further growth. Societal structures provide features such as resilience, legitimacy and accountability. Religions have replicated for millenia. Religions too spread in terms of both ideas and societal structures that rely on the ideas. Starting an ideological or religious movement is one of the strongest forms of leverage to exist.

What leverage do I want, personally?
 - I am personally most keen on building an alternate form of government via software, that does not rely on me acquiring any formal position of power.
 - I am also keen on leverage in the form of becoming an advisor to someone with a lot of capital or attention.
 - I am somewhat keen on but not very keen on leverage in the form of books or videos where I directly provide value (such as life advice or career advice) to millions of people. My current guess is this is not what I'm best suited to. I'd prefer building the tools, incentives and culture for other people to do this instead of doing it myself. (I might change my views on this in the future.)
 - I am not keen on putting the work to acquire a lot of capital or attention myself. Apart from requiring a massive amount of effort and time to succeed at (because they're older and more competed forms of leverage), they will also both place constraints on my behaviour which I'm currently not keen on accepting. (I might change my views on this in the future.)
 - I am not keen on trying to become a religious/spiritual/ideological leader currently. I don't think I currently have deep enough understanding of such topics to succeed at starting an ideological movement that survives multiple generations, and I don't think investing a few years of my time will be enough for me to succeed at it. (I might change my views on this in the future.)
