2025-07-11

# Privacy policy

#### Summary

 - I respect people's consent when it comes to protecting their privacy except in following situations:
   - I might not respect privacy of people who have hurt me using "immoral" means. I might choose to reveal information such as what they did to publicly damage their reputation and prevent them from doing the same to others. I use my discretion here.
   - I don't respect privacy of people at the top companies building superintelligent AI. They are my publicly declared enemy.
   - I might in future build general-purpose infra that reduces privacy for everyone, without selectively picking targets. Example: drone surveillance, social media doxxing tools, etc
 - My security level is not very high, and I am likely to cooperate with law enforcement. If your secret is sufficiently high-stakes, consider not giving it to me.

#### Main

This document describes under circumstances I respect privacy and secrecy of others, and under what circumstances I don't or can't.

If you have any doubts whatsoever, I generally recommend asking me explicitly. We can probably figure out the right solution with more discussion.

I have not yet figured out an information policy that works for the rest of my life. I am still experimenting with it to find what works. Given below is my information policy as of 2025-05.

For most other people's information, here's the policy I follow:
 - By default, I provide you with a reasonable level of privacy.
   - I will not share information about you to others or in public if I at all sense that you want it to be kept private.
   - By default, I follow liberal consent norms. I only publish something about you if I have either explicitly obtained your consent, or can implicitly assume I have it.
   - If I am likely to be psychologically damaged by keeping your secret, maybe think careful before sharing it with me. You can try asking me "meta" questions about whether it is safe to share it with me or not.
   - In most cases I think it is psychologically more safe for me to able to share your secrets with atleast one other person. But I will not share it without your explicit permission.
 - I will not be able to protect your information in case of a) a targeted attack on me b) investigation by law enforcement. I am likely to comply with investigation by law enforcement.
 - As per my discretion, I may choose to publish anonymised or generalised accounts of some events, without naming individual names.
   - If you do not want to be publicly published about, even in anonymised manner, please let me know.
   - If you notice that something I published is pointing at you, you can let me know. I am likely to rephrase or remove it.
 - Exceptions where I don't respect your privacy
   - In a few rare cases, I may choose to escalate an interpersonal conflict with you to the point where I decide to publicly shame you on my website. I do not do this with every single conflict I end up in. You can see my document on this topic for more.
   - I do not respect the consent of people working at AI companies building superintelligent AI, or the major investors or intelligence companies suppporting them. You can see my document on this topic for more.
   - In future, it is possible that I pick more enemy targets than just people building superintelligent AI.
   - In future, it is possible that I build general-purpose infrastructure that reduces people's privacy in general. For instance I have considered working on a social media doxxing tool, or on drone surveillance.
 - I encourage you to send me anonymous email, if you think my privacy and security level is not sufficient to handle certain communication.
 - For certain high-stakes scenarios, my privacy and security level is genuinely not high enough to be handling communication for you. Consider contacting a lawyer or a journalist operating a SecureDrop server instead. 

For my own information, here's the policy I follow:
 - If revealing information about me significantly also reveals the information about another person, then I use discretion. If I at all think they don't want this information shared publicly, I won't share it.
   - Please let me know if you think this is happening and would like me to remove something.
 - If revealing information about me does not reveal information about anyone else, then I reserve right to share it.
   - I am generally experimenting with being open about as many aspects of my life as possible, including social dark matter topics such as death, morality, criminality, sex, relationship conflicts, mental and physical health, money, religion and politics.
   - The two main reasons I avoid sharing information about myself are respecting privacy of people around me, and protecting my safety.
