2025-06-03

# Target audience

 - Target audience varies depending on the document.
 - Unless specified otherwise, target audience is my future self and anyone else who shares similar curiosity as me.
 - Some documents start with a target audience declared explicitly.
 - Effectively persuading anyone else of my ideas takes a significantly different approach than just recording them for my future self.
   - If writing to my future self, crisp world models and terse vocabulary is generally a good idea.
   - If writing to persuade others, often sharing ideas and arguments is not enough.
     - A more effective method is to teach via "exposure" and "immersion", by providing them a large amount of input from groups that already accept my ideas as true. (This is similar to Krashen's ideas around language acquisition, I'm extrapolating it more broadly to cultural acquisition here.)
   - If writing to persuade others, I am probably running a simulation of a representative of the target audience in my head.
     - Humans do this by default, we imagine representatives of various groups and simulate them in our head. This is possible even if we've never met an actual representative of that group. This is very useful neurological machinery. It also contributes to prejudice, as one can end up forming strong conclusions based on incomplete information, and later updating these beliefs can be painful.
