2025-06-13

# Incentives and culture - Open source intelligence agency

Disclaimer
 - Quick note

## Summary

 - If you want to build open source intelligence agency to enable a world without secrets, it's not sufficient to figure out the tech to do it. Also need to figure out incentives and culture.
 - Incentives: Youtubers and journalists get lots of attention. Blockchain devs gets lots of capital. People doing whistleblowing or hacking or mirroring of info, don't have very good incentives as of 2025-06. Whistleblowing is not very expensive but cyberhacking is very expensive. I'm figuring out how to ensure reward exceeds cost for whistleblowers and cyberhackers.
 - Culture: I consider creating an ideology dangerous so I'm avoiding for now. This system collides with liberal consent norms of society, and secrecy norms of police/military. Hence it may be beneficial to create an ideology that's more powerful than existing ideologies such as liberalism or nationalism. I might create an ideology once I'm more confident it's a good thing to do.

## Main

To reduce lead time in open source leaking of information, I need to figure out:
 - tech
 - incentives
 - culture

I have not currently figured out incentives or culture as well as I would like to, in order to be confident in this as a political system.

Tech
 - I've written many documents on this already. Working on it.

Incentives
 - Data acquisition
   - Reducing hardware cost and software complexity will reduce cost placed on intermediaries in the system, such as people acquiring, transmitting, hosting and mirroring sensitive information. This cost is still non-zero though, and I'm yet to figure out a counterbalancing reward for doing this type of work.
   - Cyberhackers are well compensated for disclosing zero-days (be it by the defending or an attacking org), but not if they choose to use it themselves and publish data publicly for free. Typically finding zero-days for govt targets requires hundreds of researchers working full-time for multiple years, which requires a combination of significant funding and ideologically motivated effort.
   - Similarly, spies can be well compensated for disclosing info to foreign govt, but whistleblowers are not typically compensated for publishing info to public. (Wikileaks experimented with payments for whistleblowers.)
 - Medium and high attention on the data
   - Mirroring content to multiple non-allied nuclear states and making it searchable is sufficient to make it uncensorable as of 2025.
   - Many intermediary operators and deve teams typically don't get paid very well. Web crawlers/mirrors, torrent seeders, Tor nodes, blockchain nodes, blockchain relays and onramps, etc.
   - Youtubers and journalists acquire a lot of attention for publishing politically sensitive info. It is not obvious how much it is in a youtuber's self-interest to pass on some of the rewards back to people in previous steps, be it capital or attention (more specifically political legitimacy). Sometimes journalist orgs (such as the Intercept or wikileaks) have paid for legal defence of whistleblower.
   - Some blockchains (and their foundations and core dev teams) have lots of capital protecting them. It is not obvious how much it is in their self-interest to pass on some of these rewards back to people in previous steps. (Let's say if someone published documents to a blockchain.) Sometimes wealthy crypto donors have funded media efforts.

Culture
 - I'm deliberately refraining from making too many ideological posts right now.
 - The strongest version of this system currently collides with liberal consent norms for privacy of citizens, and secrecy norms practised by military/intelligence and judiciary/police.
 - Besides liberalism, this system is neutral at best and actively hostile at worst to multiple dominant cultures in the world, including most political systems and religions and the institutions that defend them. Most systems have atleast some facts critical of their system that they would rather hide (personal view).
 - My personal view is that morality is less important to study and balance of power is more important to study. The cluster of moral arguments that are persuasive to me personally are arguments around how this will shift the distribution of power and the greater good this will create. This can be used to justify some of the harm (with harm measured as per existing moral systems).
 - Above arguments may not be persuasive to a broad audience though. If I wish to involve a broad audience, may require inventing ideology for that purpose.
