2025-06-02

# Conversation modes

Disclaimer
 - Quick note
 - New and experimental. Unsure of a lot of claims here. I don't have crisp descriptions of reality, I am mostly thinking aloud here. Will update once I have better understanding.

I was initially trying to figure this out in a dating context, but it also seems relevant to friendships and possibly even work relationships. In a dating context, I realised I seem to increasingly not want advice or worldview discussion or shared activities. (It is possible some of this varies with person or context. I don't yet have very deep understanding of my own preferences for conversation modes.)

Seen mode
 - Objective of conversation is to help other person feel seen, heard and understood. This might (or might not) be possible even if you think their choices are morally wrong, or you think their choices are going lead them to be less happy/fulfilled/etc or regret their choices.
 - Allow them to speak more monologue, without sharing a lot of your comments or sharing similar relatable experiences.

Advice mode - tactics
 - Many people are open to advice on tactics. Share advice as soon as you notice the other person making suboptimal moves, as to what they could've done better.
 - Sometimes they might be facing significant difficulties in life, and they might especially want advice on tactics.

Advice mode - strategy
 - If you give advice either on a person's core values, or on the core strategy they've invested in for many years of their life, there is a significant probability they don't receive it well. This advice mode means sharing advice as soon as you notice the other person either has morally incorrect values as per you or is using a majorly suboptimal strategy to life.
 - The other person may be more likely to receive this advice well, if they also have an existing circle of people who does make them feel seen/heard/understood/etc.
 - This can require a significant time investment to do well.

Worldview discussion mode
 - "Advice" is most relevant to immediate actions the other person is taking in life. Discussion of worldview is more broad. Discussing worldviews is easier to do if the worldview updates the other person makes, doesn't, as per them, require them to make majorly different actions in life.
 - This can require a significant time investment to do well. Especially if discussing more fundamental aspects of their worldview.

Shared activity mode
 - It may be possible to help someone feel seen/heard/etc by doing shared activities with them. Especially if they've already shared important information about their values, strategy, etc with you. Doing shared activities is a signal that you approve of their existence regardless.

Intimacy mode
 - Has similar benefits to shared activity mode.
 - Also has additional benefits. (Not discussing here.)
