2025-06-04

To do for self
 - simplify this document, some core ideas are repetitive
 - use "show not tell", use more photos/videos for each point instead of sentences. Lmao maybe I have just derived from first principles why dating apps use photos and not text. It's possible the idea of a text-only document here is a bad idea.
 - I seem to lack clarity on whether this document is written to my future self or my future partner, both imply somewhat different documents.

# Date me

*Referral bonus: If you introduce me to someone I end up partnered with for atleast 5 years, I will pay you $2000. To claim reward, make sure to keep a copy of our chats and a copy of this webpage as proof, as I might forget otherwise.*

[Some videos of me](../../video/)
 - includes solo videos and with others
 - includes professional and personal context

[Some photos of me](../../non_text_non_video/self_solo_pics/)
 - includes solo photos in personal context

[Contact me](../connect_with_me/contact_me.md)
 - I value novelty highly so if you're interested in me romantically, you should probably reach out even if the criteria below don't match.
 - Cost of failure is very low from your point of view, I would appreciate the attempt even if it fails.

Disclaimer
 - I am well aware that most people see analysing relationships to this extent as atypical.
   - I like doing it for reasons of curiosity.
   - Also I benefit from doing it.
 - Atleast half the points here probably benefit from a "show not tell" approach.
   - Solution: Might upload photos/videos. Content relevant to each point.
 - It's difficult for me to predict what a hypothetical future partner might value or disvalue.
   - It varies person-to-person and I obviously can't pre-emptively guess every possible filter someone might test me against.
   - What you appreciate (or don't appreciate) about me might be very different from what I choose to write about myself on.
   - Solution: Criteria below are mostly from a book. Am open to more data on this.
   - Solution: Might upload photos/videos. Lots of content instead of trying to guess which content is best.
   - Solution: Meet irl / video call.
 - Some important information may be non-verbal such as body language.
   - Solution: See my photos/videos.
   - Solution: Meet irl / video call.
 - A lot of this type of information seems more relevant to online dating as there is very little pre-existing context. A lot of this info get implicitly figured out in irl meetups.
 - Atleast from my end, I've realised "Date Me" text documents are not a good way of filtering beyond basic criteria.
   - Filters are mostly about blacklist, I don't know how to whitelist using text-based filters.
   - Solution: Send me your photos/videos
   - Solution: Meet irl/video call

## (My guesses of) Your filters

Information about me you may (or may not) use as a filter, when deciding to date me.
 - Mental health
   - Average / below average. I'm aware this can be a major impediment to finding a partner, and am working to improve it. Will update this document once it's improved.
 - Physical health, Physical attraction
   - Decent physical health, exercise regularly.
   - Not building muscles as it's not my priority. (Can change this if someone gives a good reason why.)
   - See my photos/videos.
 - Social status
   - My proofs of social status
     - Videos with friends linked above. Feel free to schedule chats with people in my social circle.
     - Videos of work-related stuff I probably have saved somewhere, will have to find if you want them.
     - Videos/photos of past relationships not shared due to privacy reasons. Might share some stories if I trust you enough.
   - As weak proof for competence at some skill or respect from many people
     - Haven't yet found any communities I would like to long-term stick to, where I can earn significant respect or competence. I've done this in the past but currently no.
     - I work very hard to not be affected by the opinions of others. I see many status hierarchies in society as fundamentally broken as they are premised on lies.
     - There is more nuance which I can't talk about in short.
   - Within certain bounds, I think social status is a reasonable filter to use for deciding who to date. If it your primary filter though, we're probably not a good fit.
   - [I'm assuming you use social status as a filter to ensure that:
     - I won't threaten your physical safety or use it as leverage to coerce you into doing something you don't want to do.
     - I do atleast partically understand implicit norms of society, and that if I choose not to fit in it is often by choice rather than ignorance or compulsion.]
 - Finances
   - Due to combination of multiple factors (birth lottery, genes, hard work) I am not in financial difficulty and unlikely to be in future. You can see my other documents for more on this. 
   - I don't spend on a lot of consumerist stuff though. There might be a mismatch in our spending habits and lifestyle. I don't care about this but there's a possibility you might.
 - Intelligence / executive function
   - Fairly high executive function atleast while my mental health is fine. Have completed multiple independent tasks, including completing degree, working at multiple companies, working on solo software projects and so on.
 - Aesthetics
   - I don't care a lot about aesthetics. I could be motivated to put a little effort into it for your sake (if you happen to care about it) but probably not a lot of effort.
 - Protectiveness
   - I'm aware physical safety is a much bigger concern for women than it is for men. (I have forgotten about this in the past though, will try to be more mindful in the future.)
   - Atleast in my own personal life, I see entering conflicts as a significant sink of time and energy. I avoid most conflicts for this reason, and am very careful about picking which conflicts to enter. I don't let ego or short-term emotions be the primary reason to pick conflicts.
   - If you are facing or entering some conflict, I could be significantly protective of you in it. (Ask me past examples lol I have some stories.) Although again, in the long-term I would generally expect you to reconfigure your life in a way that does not require me to regularly spend my time and energy involved in your conflicts.
   - Exceptions exist. There are nuances here that are hard to summarise.
 - Conscientiousness
   - This document itself is probably some basic proof that yeah I am willing to put in significant effort to find mutually beneficial solutions, in case of a conflict. If I do take a significant move like breaking up, I probably have put a fair amount of thought into it.
 - Physical attraction
 - Past sexual experience
   - Won't discuss in detail on a public document, ask me privately.
   - Learned this from books lol. Also I've mostly received positive feedback from previous partmers.
   - I find "actually wanting the other person to have a good time" to be more important than just "not technically violating consent".
   - I would rather optimise other person's long-term interests than their short-term interests. For instance if you give consent but I have a strong guess you'll later come to regret it, then I would rather not do it.


## My filters

Here's the basic criteria that I'm looking for from my end:
 - ideal relationship type: straight, polyamorous, medium to longterm relationship. children - dont know
   - If you're interested in me but want something different from this, just ask.
   - [Since I'm fairly busy nowadays, I'm unlikely to spend lots of time searching for a relationship that's not my ideal in the first place. But that doesn't mean I'll say no if you ask.]
 - place: current place - any city in India. future place - maybe SF. (can change in future)
   - can shift for relationship but I should like the city. if shifting, may also need visa without taking fulltime job.
 - time: <= 1 day/week, need alone time, need time to work. (can change in future)
   - ideal if you also have other sources of emotional support / advice / shared activities / etc than me (easier to do if poly imo)
 - money: separate finances for first 5 years. can date someone outside my class despite additional challenges.
 - values: authentic, emotionally vulnerable, individualist, atheist, altruistic (match not required), somewhat ambitious (match not required)
   - should understand these parts of me even if you aren't similar yourself
   - tell me upfront from day one if you think your family or social circle is likely to negatively affect the relationship in future. I can probably self-modify a little but not a lot to fit into your circle. Nuances exist, hard to summarise.
 - personality: introvert (match not required), high curiosity, intellectual (match not required), high openness-to-experience, high risk-tolerance, very direct communication style (can tone this down on request but only to some extent), can put significant one-sided efforts if required
 - social circle: you dont have to fit into any of my social circles, or feel pressured to self-modify to do so
 - physical attraction
 - lifestyle: not balanced (match not required)
 - social circle: (match not required)
 - hobbies: (match not required)
   - travelling, board games (chess, catan), music (rap, rock, nightcore, etc), books (nonfiction), open to new hobbies, especially hobbies that are easy to carry around
 - everything else: (match not required)
   - I'm probably okay with: difference in socioeconomic class, difference in level of education, significant age gap, your physical or mental health issues, different hobbies, different lifestyle

Relationship advice I agree with
 - I'm sympathetic to the perspective that relationships are built not found. As long as we align in a few core ways, I'd be willing to overlook a lot of other potential misalignment.
 - I'm sympathetic to [Paul Graham's advice](https://paulgraham.com/greatwork.html) on work-life balance.

 > Don't marry someone who doesn't understand that you need to work, or sees your work as competition for your attention. If you're ambitious, you need to work; it's almost like a medical condition; so someone who won't let you work either doesn't understand you, or does and doesn't care.

Uncertainty: Alighment of core values
 - I'm generally unsure on the importance of alignment of core values in a marriage.
 - In general I find only a few people who share my core values and beliefs, and only a few people who share my lifestyle.
 - I would like the freedom to make significant changes to my core values and beliefs and lifestyle even after getting married. An extreme example of this would be someone who converts their religion many years after getting married.
 - In my experience alignment of thought process on day-to-day decisions can be just as important as alignment of thought process on the big decisions. I sometimes find it difficult to spend significant amounts of time with someone who makes their day-to-day decisions using a thought process very different from mine. I find this much easier to do if I spend a smaller amount of time with them, and also spend time with others.
 - I want more data on successful examples of marriages that maintain a high level of independence for both partners.
 - Being polyamorous might make it easier to stay together despite differences in values. I'm unsure about this.
