2025-05-20

# Donate to me (ASI leaks)

Disclaimer
 - Contains politically sensitive info.
 - Quick note. May update quickly based on new info.

## Update

**This document is outdated, please go see the other document instead.**


## Funding requests

 - Request for $40k/year
   - The biggest benefit of getting any non-trivial funding, let's say $40k/year, will be that I could shift to the US and live among peer group who also care a lot about similar problems. Having a peer group would help me stay motivated and get more work done.
 - Request for $1M
   - If I got $1M, I'd use it towards some or all of the following projects. Some of the projects below are bottlenecked by significant amount of capital.

## List of projects

**Objective: Get secret information out of US companies building superintelligent AI (including classified information). Host it in countries outside the US. Present it to US and world public to influence politics.**

Data acquisition (black)
 - whistleblower guide
   - for whistleblowers at AI companies, who wish to disclose company info to the public
 - independent hacker guide
   - for independently motivated cyberhackers trying to obtain info of AI companies and publicly disclose it
 - pre-committed funding and legal support for whistleblowers and hackers

Data acquisition (grey)
 - internet doxxing tool
   - to deanonymise social media accounts of people at AI companies
 - drones/cctv outside offices/ datacentres of AI companies
   - to track general info such as employee lists, in and out times, and their emotional states. Google "Pentagon Pizza index" for more.

High attention
 - make list of US-sphere journalists/youtubers who a) understand how to get attention online b) have good opsec c) publish original documents not propaganda pieces d) understand AI risk 
 - make list of non-US-sphere journalists/youtubers who a) understand how to get attention online b) have good opsec c) publish original documents not propaganda pieces d) understand AI risk 
 - work for some or all of these journalists/youtubers to educate them on these topics
 - OR, run my own own youtube channel with all this fixed

All the data acquisition will be aimed at leadership and employees of people involved in building ASI. (See my other documents for who exactly is included in this.)

## Capital and attention bottlenecks

 - Whistleblower guide
   - Not bottlenecked
   - Will work on writing this guide
   - In short, US whistleblowers leaking classified documents should focus on getting to Russia like Snowden did, instead of improving their opsec and hoping to stay anonymous
 - Hacker guide
   - Knowledge bottlenecked
   - I don't know enough to offer them technical advice. Mostly I'll offer moral support and maybe some legal advice.
 - Pre-committed funding and legal support for whistleblowers/hackers
   - TO DO
 - Internet doxxing tool
   - **Weakly capital bottlenecked**
   - I tried building this by doing embedding search and anomalous word counts on reddit extract of commoncrawl. This will likely work better as a two pass system, first pass use PII, second pass do stylometrics.
   - I need capital for more servers, and maybe to purchase some PII datasets similar to whitepages/weleakinfo/snusbase.
 - Drones/CCTV outside offices / datacentres
   - **Capital bottlenecked**
   - Need capital for lawyers, and for setting up the cameras
   - This is technically legal in US (not UK) but will definitely be contested on legal grounds if I actually did this. This is more of a legal project than a technical or infra one.
 - High attention guide
   - **Weakly capital bottlenecked.** Attention bottlenecked.
   - Most journalists-by-training lack many of the following skills.
     - How to run good opsec
       - Advertising a SecureDrop-like system or a Signal number or running pgp.
     - How to become popular online
       - Understanding things like heavy-tailed distribution of attention and importance of building a brand around your face and understanding what readers want.
       - Most journalists-by-training are being replaced by YouTubers across US, Europe, India and Russia atleast.
     - Understanding ASI risks
       - Having enough technical knowledge about AI and about ASI risks
     - Publishing original documents
       - Many US journalists publish propaganda pieces instead of original documents.
   - I'm unsure if I should be trying to work for existing journalists or youtubers and teach them this stuff, or should I just run a youtube channel myself.
     - If running my own channel, need to get a little capital and a lot of attention.
     - If helping existing channels, I might not be bottlenecked.

## Impact estimates

 - Data acquisition (DAQ)
   - Guides and pre-committed funding and legal support for whistleblowers and hackers releasing classified documents of AI companies.
     - Neglectedness - high, Impact - high
   - Other lower-stakes ways of leaking info such as internet doxxing or drones/cameras.
     - This is unlikely to uncover the most important information, just that it could force the ASI company employees to isolate further from rest of society.
     - Neglectedness - high, Impact - medium
 - First host of documents
   - US-sphere journalists/youtubers will probably host documents leaked by a US-sphere AI whistleblower.
     - Atleast a few US-sphere journalists/youtubers have good opsec and digital attention-acquiring skills and are willing to publish original documents.
     - I'm assuming one of them will do the job when the time comes. Nothing to fix here.
   - This could change if the US enters a hot war with Russia or China, or there is an emergency of equally large magnitude (which is possible if superintelligent AI is arriving). US journalists/youtubers may be stopped from publishing. Will be reliant on non-US-sphere journalists/youtubers.
     - Atleast a few non-US-sphere youtubers/journalists have digital attention-acquiring skills. Very few have good opsec or publish original documents or have knowledge about AI risk.
     - May need to work for a youtube channel or run a youtube channel in worst case.
     - Neglectedness - medium, Impact - high
 - High attention
   - Obviously there need to be journalists/youtubers both inside and outside the US trying to raise attention. Both will have separate biases.
     - The biggest problem IMO is that most journalists/youtubers both in US and outside lack a technical background in AI and hence don't understand AI risk. This will cause them to do a poor job in how they cover it.
     - May need to work for a youtube channel or run a youtube channel in worst case.
     - Neglectedness - high, Impact - high

## Legal, moral

Reputation risks
 - If you wish to discuss these projects with me, I can protect your privacy to some basic degree.
   - I will not be revealing the info to people who casually ask me about it. But I will not be able to protect this info against a targeted attack on me or interrogation by law enforcement.
 - If you publicly associate with me on these projects, you are likely to see consequences on your reputation.
   - These consequences could be both good and bad. You have to take a personal decision on whether you want to associate with me or not, and to what degree.
   - There is an obvious chilling effect here, which means the people for whom this issue matters most are the ones who are likely to accept the reputation hit first.
   - For example, Laura Poitras and Glenn Greenwald earned a lot of respect from journalists worldwide for publishing Snowden's work. But also, they both found themselves poor fits for their respective jobs at The Intercept, and ended up leaving and working more independently.

Legal
 - Publishing guides for whistleblowers and hackers is legal in US as per first amendment. Pre-committed funding for a legal defence for anyone who has committed any crime is legal in US. I am not a US citizen and this does not apply to me.
 - Actual act of whistleblowing or hacking of classified info is not legally protected. Previous cases have typically lead to imprisonment.
 - Doxxing accounts based on publicly available information is legally grey. Civilian-run drone surveillance of public areas is also legally grey. Both might be arguable either way depending on legal resources and the specifics of the case. (I have not done detailed research)
 - Educating journalists/youtubers on opsec or on AI risk is legally safe.
 - Publishing US classified info as a journalist/youtuber is legal in the US, but journalists who have done this in past have faced adverse consequences anyway. See case studies for more.

Moral
 - I'm generally willing to support people who obtain info about AI companies and publicly disclose it. And I'm generally unwilling to support people who obtain info for another nation's intelligence agency. Whistleblower versus spy, independent hacker versus state-sponsored hacker, point to this distinction.
 - I'm okay with a world with this degree of information collection, as long as a) info is collected about all elites as well b) the info ends up in public and not in the hands of a small group (such as an intelligence agency). I see this most of this as fairly inevitable, although the details can matter.
 - I generally get the sense that more people are against the doxxing tool and drones/cctv, than they are against supporting whistleblowers. I disagree but I might understand where this is coming from. I'm open to feedback on this.
