2025-04-27

# Distributed disincentives for common knowledge formation

Disclaimer
 - Quick note

Credits: Ben Ross Hoffman's blog, for helping me think through some of this.

Animal Farm by George Orwell talks about how authoritarian elites use violence to supress the formation of common knowledge of the truth. Once the truth is supressed, they can then invent an alternate history and present such that if people believed in it, it would serve the dictator's self-interest.

If you relax the constraint from actual violence to any sort of disincentives, then I make a much more general claim. Almost everyone is applying disincentives to suppress the formation of some common knowledge or the other. For every Alice, there exists a Bob such that the truth about Bob's internal experience would make Alice uncomfortable, and Alice would confer less social approval, time, attention and capital to Carol, if Carol tried to make Bob's truth common knowledge.

If you do not have a monopoly on violence, however, your disincentives are less coordinated. There will often be a few outlier individuals for whom bringing that truth into common knowledge is sufficiently important that they will put in the work to acquire enough power that they can resist these disincentives.

Violent mobs such as those in Nazi Germany, are an example of a coordinated group of people, not directly hired by the dictator, who nevertheless acted to suppress the formation of common knowledge. A lot of political groups are united around the shared agreement that they must suppress the formation of some common knowledge around the other.

A lot of political technologies such as freedom of speech and right to bear arms, make more sense when you are studying this sort of distributed supression of common knowledge. Obviously a dictator will not support freedom of speech or right to bear arms. But even among countries that are not dictatorships, some countries' citizens are suppressing a lot more knowledge about the truth of each other's experience, than others.

If you want to increase long-term human flourishing more broadly, sometimes the only effective move is to try and topple the dictator. You have to get information about the truth of what happened politically, and form common knowledge on it against the dictator's interests. Once you have succeeded at this though, the next effective move may be to find technologies and levers that allow common knowledge formation of various other types.
