2025-03-10

# Death of Big Tech

Two major reasons why big tech companies exist:
 - Software is complex. Hiring lots of good software developers is expensive.
 - Hardware and electricity is expensive. Hardware includes everything from fiber optic cables to satellites to cameras to server CPU and RAM.

Credits: Moxie Marlinspike and others for really convincing me why software complexity is the heart of the matter here.

Because hardware costs are exponentially reducing every decade, I expect most applications to be possible on a small amount of hardware within next 10-20 years. Applications that might not still be cheap include a) applications based on videos b) applications based on heavy usage of LLM inference c) applications discovered in future, such as applications based on 3D data.

Because of recent advances in LLM embedding search, I expect a few key applications such as search to become easy to build. A major part of what a lot of tech companies do is just a) provide incentives for people to share their data online, and b) use this data to connect one set of users to another set of users. Uber connects drivers to passengers, Linkedin connects employees to employers, Facebook connects friends, Google search connects people to articles and news etc. A lot of these applications can simultaneously be outcompeted by an application that uses LLM search to connect users.

It should be possible to build this 10-20 years from now, such that any person on their personal computer can host a server that does what Big Tech currently does. This gives me (and others) 10-20 years to figure out what a good replacement for Big Tech looks like.

Big Tech may still survive ofcourse, but their form will look noticeably different.
